Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86518 - Enhancement: Debugging commands in RedBoot
Summary: Enhancement: Debugging commands in RedBoot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot
Version: CVS
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gary Thomas
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 01:17 UTC by Jonathan Larmour
Modified: 2007-03-27 04:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:21:41 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-25 01:17:18 UTC
Just cataloguing an enhancement request from FOSDEM 2003:

Debugging support commands in RedBoot, i.e. the ability, from the RedBoot
prompt, to do things like exitting back to the ROM monitor prompt (with Ctrl-c,
a physical button on a board, soft magic in the application or whatever),
breakpoints, stepping, etc. I know Cygmon used to have these (plus a simple
non-GPL disassembler for x86 and some other arch), and of course "competing" ROM
monitors also do.

Comment 1 Alex Schuilenburg 2003-06-20 16:21:41 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=86518


Note You need to log in before you can comment on or make changes to this bug.